Bug 824176 (CVE-2012-2383)

Summary: CVE-2012-2383 kernel: drm/i915: integer overflow in i915_gem_execbuffer2()
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, arozansk, bhu, davej, dhoward, fhrbata, gansalmon, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, mrg-program-list, plougher, sforsber, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120423,reported=20120521,source=suse,cvss2=4.9/AV:L/AC:L/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6.3.z/kernel=affected,rhel-6.4/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=notaffected,cwe=CWE-190[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 08:40:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 824553, 824555, 824556, 824557    
Bug Blocks: 824180    

Description Petr Matousek 2012-05-22 17:44:23 EDT
Description of the problem:
On 32-bit systems, a large args->buffer_count from userspace via ioctl may overflow the allocation size, leading to out-of-bounds access.

References:
http://www.openwall.com/lists/oss-security/2012/05/21/1

Upstream fix:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=ed8cd3b2cd61004cab85380c52b1817aca1ca49b
Comment 1 Josh Boyer 2012-05-23 12:04:28 EDT
FYI.  This was fixed in 3.3.5 (stable commit 4a265435c87b19175c3906ff49ffe5bf4a4cc228).  All Fedora branches are on that or newer already.
Comment 2 Petr Matousek 2012-05-23 13:54:55 EDT
(In reply to comment #1)
> FYI.  This was fixed in 3.3.5 (stable commit
> 4a265435c87b19175c3906ff49ffe5bf4a4cc228).  All Fedora branches are on that
> or newer already.

Josh, what about Fedora 15? I see thaf f15 is on 2.6.43.
Comment 5 Josh Boyer 2012-05-23 14:03:54 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > FYI.  This was fixed in 3.3.5 (stable commit
> > 4a265435c87b19175c3906ff49ffe5bf4a4cc228).  All Fedora branches are on that
> > or newer already.
> 
> Josh, what about Fedora 15? I see thaf f15 is on 2.6.43.

2.6.4x is just 3.x renamed.  So kernel-2.6.43.5-2.fc15 is equivalent to 3.3.5, and that is the kernel currently in f15 stable updates.  We have 2.6.43.7 already committed to Fedora git as well.
Comment 6 Petr Matousek 2012-05-23 14:18:47 EDT
(In reply to comment #5)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > FYI.  This was fixed in 3.3.5 (stable commit
> > > 4a265435c87b19175c3906ff49ffe5bf4a4cc228).  All Fedora branches are on that
> > > or newer already.
> > 
> > Josh, what about Fedora 15? I see thaf f15 is on 2.6.43.
> 
> 2.6.4x is just 3.x renamed.  So kernel-2.6.43.5-2.fc15 is equivalent to
> 3.3.5, and that is the kernel currently in f15 stable updates.  We have
> 2.6.43.7 already committed to Fedora git as well.

Perfect, thanks for the info.
Comment 7 Petr Matousek 2012-07-20 10:10:27 EDT
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.
Comment 8 errata-xmlrpc 2012-08-14 14:09:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1156 https://rhn.redhat.com/errata/RHSA-2012-1156.html